Estimote.iOS.Proximity 1.3.1

Xamarin bindings for Estimote iOS Proximity SDK

Install-Package Estimote.iOS.Proximity -Version 1.3.1
dotnet add package Estimote.iOS.Proximity --version 1.3.1
<PackageReference Include="Estimote.iOS.Proximity" Version="1.3.1" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add Estimote.iOS.Proximity --version 1.3.1
The NuGet Team does not provide support for this client. Please contact its maintainers for support.

Release Notes

Compatibility update for Xcode 10.2 and Swift 5.

IMPORTANT: This breaks compatibility with earlier Xcode versions, so if you haven't updated yet, you should continue using Estimote.iOS.Proximity 1.2.0.

IMPORTANT: With this update, we switched from Xamarin.Swift4 to Xamarin.Swift as a dependency. Xamarin.Swift is smarter replacement for Xamarin.Swift4, that evaluates your project and automatically includes necessary Swift libraries if needed. For example, if your app is targeting iOS 12.2 or later, you don't need Swift libraries bundled with your app anymore, since Swift 5 libraries are now included in the iOS itself. Long live ABI stability!

There are no API/feature changes compared to 1.2.0.

This package is not used by any popular GitHub repositories.

Version History

Version Downloads Last updated
1.3.1 266 4/15/2019
1.2.0 693 9/27/2018
1.1.0 197 9/13/2018